## pykde4 4.6.80

=== CMakeLists.txt ===
PROJECT(pykde4)

# If the module is checkedout standalone we have to do some additional stuff
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

    # search packages used by KDE
    find_package(KDE4 REQUIRED)
    include(KDE4Defaults)
    include(MacroLibrary)

    include_directories (${KDE4_INCLUDES})

endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})

# This module can be built independant from the rest of kdebindings.
SET(CMAKE_MODULE_PATH ${pykde4_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

# Fix output file conflict with the Ruby bindings
IF(CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION LESS 6)
    SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib/pykde)
ELSE(CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION LESS 6)
    SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib/pykde)
ENDIF(CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION LESS 6)

FIND_PACKAGE(PythonLibrary REQUIRED)
INCLUDE(PythonMacros)

FIND_PACKAGE(SIP REQUIRED)
IF(SIP_VERSION STRLESS "040c00")    # These version numbers also appear in ../CMakeLists.txt
    MESSAGE(FATAL_ERROR "The version of SIP found is too old. 4.12.0 or later is needed.")
ENDIF(SIP_VERSION STRLESS "040c00")
INCLUDE(SIPMacros)

FIND_PACKAGE(PyQt4 REQUIRED)
IF(PYQT4_VERSION STRLESS "040802")  # These version numbers also appear in ../CMakeLists.txt
    MESSAGE(FATAL_ERROR "The version of PyQt found is too old. 4.8.2 or later is required.")
ENDIF(PYQT4_VERSION STRLESS "040802")


SET(SOPRANO_MIN_VERSION "2.0")
MACRO_OPTIONAL_FIND_PACKAGE(Soprano)
MACRO_LOG_FEATURE(Soprano_FOUND "Soprano" "Soprano Libraries" "kdesupport" FALSE "" "Required for Soprano Python bindings.")

MACRO_OPTIONAL_FIND_PACKAGE(Nepomuk)
MACRO_LOG_FEATURE(Nepomuk_FOUND "Nepomuk" "Nepomuk Libraries" "kdesupport" FALSE "" "Required for Nepomuk Python bindings.")

MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)
MACRO_LOG_FEATURE(KDEPIMLIBS_FOUND "Kdepimlibs" "KDE pim Libraries" "kdepimlibs" FALSE "" "Required for Akonadi Python bindings.")

MACRO_OPTIONAL_FIND_PACKAGE(PolkitQt)
MACRO_LOG_FEATURE(POLKITQT_FOUND "Polkit-Qt" "Qt Wrapper around PolicyKit" "kdesupport" FALSE "" "Required to build PolicyKit-Qt support")

# Set a a PYTHON_3 flag.
IF (${PYTHON_SHORT_VERSION} MATCHES "^3")
    SET(PYTHON_3 TRUE)
ELSE (${PYTHON_SHORT_VERSION} MATCHES "^3")
    SET(PYTHON_3 FALSE)
ENDIF (${PYTHON_SHORT_VERSION} MATCHES "^3")

INCLUDE_DIRECTORIES(
    ${PYTHON_INCLUDE_PATH}
    ${SIP_INCLUDE_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDESIGNER_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTNETWORK_INCLUDE_DIR}
    ${QT_QTOPENGL_INCLUDE_DIR}
    ${QT_QTSQL_INCLUDE_DIR}
    ${QT_QTXML_INCLUDE_DIR}
    ${QT_QTSVG_INCLUDE_DIR}
    ${QT_QTWEBKIT_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}/solid
    ${KDE4_INCLUDE_DIR}/kio
    ${KDE4_INCLUDE_DIR}/kdeprint
    ${KDE4_INCLUDE_DIR}/kdeprint/lpr
    ${KDE4_INCLUDE_DIR}/dom
    ${KDE4_INCLUDE_DIR}/ksettings
    ${KDE4_INCLUDE_DIR}/knewstuff2
    ${KDE4_INCLUDE_DIR}/dnssd
    ${KDEPIMLIBS_INCLUDE_DIRS}
)

SET(SIP_INCLUDES ${PYQT4_SIP_DIR} sip)
SET(SIP_CONCAT_PARTS 8)
IF (WIN32)
    SET(SIP_TAGS ALL WS_WIN ${PYQT4_VERSION_TAG})
ELSE (WIN32)
    SET(SIP_TAGS ALL WS_X11 ${PYQT4_VERSION_TAG})
ENDIF (WIN32)
SET(SIP_DISABLE_FEATURES VendorID PyQt_NoPrintRangeBug)

# Use an extra option when compiling on Python 3.
IF (PYTHON_3)
    SET(SIP_EXTRA_OPTIONS -g -x Py_v3)
ELSE (PYTHON_3)
    SET(SIP_EXTRA_OPTIONS -g)
ENDIF (PYTHON_3)

ADD_DEFINITIONS(-D_REENTRANT -DQT_CORE_LIB -DQT_GUI_LIB -DUSING_SOPRANO_NRLMODEL_UNSTABLE_API)

FILE(GLOB kdecore_files_sip sip/kdecore/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kdecore_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.kdecore sip/kdecore/kdecoremod.sip ${KDE4_KDECORE_LIBS} ${KDE4_KPTY_LIBS} ${QT_QTNETWORK_LIBRARY})

FILE(GLOB solid_files_sip sip/solid/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${solid_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.solid sip/solid/solidmod.sip ${KDE4_SOLID_LIBS} ${QT_QTCORE_LIBRARY})

FILE(GLOB kdeui_files_sip sip/kdeui/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kdeui_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.kdeui sip/kdeui/kdeuimod.sip ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})

FILE(GLOB kio_files_sip sip/kio/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kio_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.kio sip/kio/kiomod.sip ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS})

FILE(GLOB kutils_files_sip sip/kutils/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kutils_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.kutils sip/kutils/kutilsmod.sip ${KDE4_KUTILS_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${KDE4_KDEUI_LIBS})

FILE(GLOB kparts_files_sip sip/kparts/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kparts_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.kparts sip/kparts/kpartsmod.sip ${KDE4_KPARTS_LIBS})

FILE(GLOB ktexteditor_files_sip sip/ktexteditor/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${ktexteditor_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.ktexteditor sip/ktexteditor/ktexteditormod.sip ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

FILE(GLOB khtml_files_sip sip/khtml/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${khtml_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.khtml sip/khtml/khtmlmod.sip ${KDE4_KHTML_LIBS})

FILE(GLOB knewstuff_files_sip sip/knewstuff/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${knewstuff_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.knewstuff sip/knewstuff/knewstuffmod.sip ${KDE4_KNEWSTUFF2_LIBS} ${KDE4_KNEWSTUFF3_LIBS} ${QT_QTCORE_LIBRARY})

FILE(GLOB dnssd_files_sip sip/dnssd/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${dnssd_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.dnssd sip/dnssd/dnssdmod.sip ${KDE4_KDNSSD_LIBS} ${QT_QTCORE_LIBRARY})

FILE(GLOB phonon_files_sip sip/phonon/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${phonon_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.phonon sip/phonon/phononmod.sip ${PHONON_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

FILE(GLOB plasma_files_sip sip/plasma/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${plasma_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.plasma sip/plasma/plasmamod.sip ${KDE4_PLASMA_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTUITOOLS_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBRARY})

FILE(GLOB kterminal_files_sip sip/kterminal/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${kterminal_files_sip})
ADD_SIP_PYTHON_MODULE(PyKDE4.kterminal sip/kterminal/kterminalmod.sip ${KDE4_TERMINAL_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

SET(PYKDE_MODULES "kdecore solid kdeui kio kutils kparts ktexteditor dnssd phonon plasma kterminal")

IF(Soprano_FOUND)
    include_directories(${SOPRANO_INCLUDE_DIR})
    FILE(GLOB soprano_files_sip sip/soprano/*.sip)
    set(SIP_EXTRA_FILES_DEPEND ${soprano_files_sip})
    ADD_SIP_PYTHON_MODULE(PyKDE4.soprano sip/soprano/sopranomod.sip ${SOPRANO_LIBRARIES} ${SOPRANO_CLIENT_LIBRARIES} ${SOPRANO_SERVER_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY})
    SET(PYKDE_MODULES "${PYKDE_MODULES} soprano")
ENDIF(Soprano_FOUND)

IF(Nepomuk_FOUND)
    include_directories(${NEPOMUK_INCLUDE_DIR})
    FILE(GLOB nepomuk_files_sip sip/nepomuk/*.sip)
    set(SIP_EXTRA_FILES_DEPEND ${nepomuk_files_sip})
    ADD_SIP_PYTHON_MODULE(PyKDE4.nepomuk sip/nepomuk/nepomukmod.sip ${NEPOMUK_LIBRARIES} ${NEPOMUK_QUERY_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${SOPRANO_LIBRARIES} ${KDE4_KIO_LIBS})
    SET(PYKDE_MODULES "${PYKDE_MODULES} nepomuk")
ENDIF(Nepomuk_FOUND)

IF(KDEPIMLIBS_FOUND)
    include_directories(${KDEPIMLIBS_INCLUDE_DIR})
    FILE(GLOB akonadi_files_sip sip/akonadi/*.sip)
    set(SIP_EXTRA_FILES_DEPEND ${akonadi_files_sip})
    ADD_SIP_PYTHON_MODULE(PyKDE4.akonadi sip/akonadi/akonadimod.sip ${KDE4_AKONADI_LIBS} ${KDE4_AKONADI_KMIME_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS})
    SET(PYKDE_MODULES "${PYKDE_MODULES} akonadi")
ENDIF(KDEPIMLIBS_FOUND)

IF(POLKITQT_FOUND)
    INCLUDE_DIRECTORIES(${POLKITQT_INCLUDE_DIR})

    FILE(GLOB pollkitqt_files_sip sip/polkitqt/*.sip)

    # ${POLKITQT_INCLUDE_DIR} -- We don't use this directly, because we need the #includes
    # in the .sip file to be more specific otherwise they pick up the wrong action.h etc.

    set(SIP_EXTRA_FILES_DEPEND ${pollkitqt_files_sip})
    ADD_SIP_PYTHON_MODULE(PyKDE4.polkitqt sip/polkitqt/polkitqtmod.sip ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${POLKITQT_LIBRARIES})
    SET(PYKDE_MODULES "${PYKDE_MODULES} polkitqt")
ENDIF(POLKITQT_FOUND)

PYTHON_INSTALL(__init__.py ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4)

MESSAGE(STATUS "KDE_VERSION: ${KDE_VERSION}")
MESSAGE(STATUS "KDE4_INCLUDE_DIR: ${KDE4_INCLUDE_DIR}")
MESSAGE(STATUS "KDE4_LIB_DIR: ${KDE4_LIB_DIR}")
MESSAGE(STATUS "PYTHON_SITE_PACKAGES_INSTALL_DIR: ${PYTHON_SITE_PACKAGES_INSTALL_DIR}")

# Setup and install pykdeconfig.py

# Turn these into formatted strings.
SET(_SIP_TAGS)
FOREACH (_TAG ${SIP_TAGS})
    SET(_SIP_TAGS "${_SIP_TAGS} -t ${_TAG}")
ENDFOREACH (_TAG)

SET(_SIP_X)
FOREACH (_X ${SIP_DISABLE_FEATURES})
    SET(_SIP_X "${_SIP_X} -X ${_X}")
ENDFOREACH (_X ${SIP_DISABLE_FEATURES})

GET_FILENAME_COMPONENT(LIB_DIR ${KDE4_LIB_DIR} NAME)

SET(SIP_CONFIGURATION "
kde_version_parts = '${KDE_VERSION}'.split('.')
kde_version_hex = int(kde_version_parts[0])*65536 + int(kde_version_parts[1])*256 + int(kde_version_parts[2])
_pkg_config = {
    'dist_name':            '',
    'kde_version':          kde_version_hex,
    'kde_version_extra':    '',
    'kde_version_sfx':      '',
    'kde_version_str':      '${KDE_VERSION}',
    'kdebasedir':           '${CMAKE_INSTALL_PREFIX}',
    'kdeincdir':            '${KDE4_INCLUDE_DIR}',
    'kdelibdir':            '${KDE4_LIB_DIR}',
    'konsolepart':          'False',
    'libdir':               '${LIB_DIR}',
    'pykde_kde_sip_flags':  '${_SIP_TAGS} ${_SIP_X} ${SIP_EXTRA_OPTIONS}',
    'pykde_mod_dir':        '${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4',
    'pykde_modules':        '${PYKDE_MODULES}',
    'pykde_sip_dir':        '${SIP_DEFAULT_SIP_DIR}/PyKDE4',
    'pykde_version':        kde_version_hex,
    'pykde_version_str':    '${KDE_VERSION}'
}

_default_macros = None")

CONFIGURE_FILE(pykdeconfig.py.in ${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py)
PYTHON_INSTALL(${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4)

# Install the .sip files for anyone that wants to build bindings on top of PyKDE4.
# (Don't forget the / at the end of sip/.)
INSTALL(DIRECTORY sip/ DESTINATION ${SIP_DEFAULT_SIP_DIR}/PyKDE4
    PATTERN "*~" EXCLUDE    # This sucks, why can't I just whitelist what I _do_ want?
    PATTERN ".svn" EXCLUDE
    PATTERN "*.in" EXCLUDE)

ADD_SUBDIRECTORY(tools)
#ADD_SUBDIRECTORY(docs)
ADD_SUBDIRECTORY(examples)
IF (NOT PYTHON_3)
    ADD_SUBDIRECTORY(kpythonpluginfactory)
ENDIF (NOT PYTHON_3)
#ADD_SUBDIRECTORY(pykdedocs)

=== debian/changelog ===
pykde4 (4:4.6.80-3) unstable; urgency=low

  * Add plasma-scriptengine-python (<< 4:4.6.5) to python-kde4 Breaks. Needed
    as python-support based plasma-scriptengine-python does not work with
    dh_python2 based python-kde4.
  * Fix GitWeb Vcs URL.
  * Move non-default python library to Suggests again.
  * Introduce a hack to restore compatibility with python-support based
    python-qt4. (Closes: #633499)

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Jul 2011 12:10:12 +0300

pykde4 (4:4.6.80-2) unstable; urgency=low

  * "Bye bye to you, ugly monolithic kdebindings" release.

  [ Pino Toscano ]
  * Update the patches:
    - refresh
    - optional_install_sip_files.diff: fix small if()/endif() mismatch
  * Small touches to the descriptions.

  [ Modestas Vainius ]
  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Jul 2011 15:56:07 +0300

pykde4 (4:4.6.80-1) experimental; urgency=low

  * Initial standalone release: split off from kdebindings.
  * Below you will find notable changes from previous kdebindings packaging.

  [ Modestas Vainius ]
  * Require KDE SC 4.6.3.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Switch debian/rules engine to dhmk based debian-qt-kde.mk.
  * Pick pykde4 related patches from the kdebindings package and include them
    in this package.
  * Strip sequence numbers from the patch filenames.
  * Clean up Uploaders list.
  * Clean up Build-Depends list.
  * Add libboost-dev to Build-Depends.
  * Fix binNMUability of python-kde4-dev: depend on python-kde4 (>=
    ${source:Version}) rather than ${binary:Version}. python-kde4-dev is
    arch:all.
  * Switch to dh_python2 (thanks to Scott Kitterman):
    - drop python-support from Build-Depends;
    - use python2 dh addon in place of python-support;
    - drop XB-Python-Version control field and remove debian/pyversions;
    - add "X-Python-Version: >= 2.5" to the source section;
    - remove python-support specific hacks from debian/not-installed.
  * Drop pydefault make variable, not used anymore.
  * Execute pyversions "on demand".
  * Drop ${python:Depends} from python-kde4-dev Depends.
  * Add "Provides: ${python:Provides}" to python-kde4.
  * Optimize $(pyversions) check.
  * Improve python-kde4-doc description.
  * Add lintian overrides for
    usr/share/doc/python-kde4-doc/html/common/*-license. These are valid part
    of documentation.
  * Add kdebindings-dbg to python-kde4-dbg Breaks/Replaces.
  * Update debian/coypright.
  * Document all Debian patches.
  * Replace include_default_settings_in_python_cmakelist.diff patch with
    add_qt_kde_definitions.diff. Only add_definitions() part moved to the
    proper place remains.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Jun 2011 21:29:02 +0300

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.3),
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),kdepimlibs5-dev (>= 4:4.6),
 libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.3.0),
 libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
 libboost-dev, shared-desktop-ontologies,
 python, python-all-dev, python-sip-dev (>= 4.12.0),
 python-qt4 (>> 4.8.3-1), python-qt4-dev (>> 4.8.3-1)
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git

Package: python-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-qt4, ${sip:Depends}, python-sip
Provides: ${python:Provides}
Suggests: ${shlibs:Suggests}
Breaks: plasma-script-engine (<< 4:4.6.5)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * nepomuk
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.4.4)
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains API documentation for PyKDE, and some example code
 showing how to use it. You will probably want to install this package if
 you are developing applications based on PyKDE.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

=== debian/rules ===
#! /usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

pyversions = $(shell pyversions -vr)
pydefaultversion = $(shell pyversions -vd)
pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)

define nl


endef

override_dh_auto_configure:
	$(if $(pyversions),,$(error "no suitable pythonversion found, failing"))
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v -- \
	    -DPYTHON_EXECUTABLE=/usr/bin/python$v \
	    -DDEFAULT_PYTHON_VERSION=$(if $(filter $(pydefaultversion),$v),true,false) \
	    $(nl))

override_dh_auto_build override_dh_auto_install override_dh_auto_test override_dh_auto_clean:
	$(foreach v,$(pyversions),$(overridden_command) --builddirectory=builddir-$v $(nl))

override_dh_python2:
	$(overridden_command)
	dh_sip -ppython-kde4
	# Create python-support compatibility symlinks
	set -e; for f in debian/python-kde4/usr/lib/python*/*-packages/PyQt4/uic/*.py \
	         debian/python-kde4/usr/lib/python*/*-packages/PyQt4/uic/widget-plugins/*.py; do \
	    d="`echo $$f | sed 's,usr/lib/\(python[^/]\+\)/dist-packages,usr/lib/pymodules/\1,'`"; \
	    mkdir -p "`dirname "$$d"`"; ln -s $${f#debian/python-kde4} $$d; \
	done

override_dh_strip:
	$(overridden_command) --dbg-package=python-kde4-dbg

override_dh_shlibdeps:
	if [ -d debian/python-kde4 ]; then \
        dh_shlibdeps -ppython-kde4 $(foreach s,$(pyshared_nondefault),-X'$s/') -- \
        	-dSuggests $(foreach s,$(pyshared_nondefault),debian/python-kde4/$s/*.so) -dDepends; \
	fi
	$(overridden_command) --remaining-packages

## pykde4 4.7.1

=== debian/changelog ===
pykde4 (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 04 Sep 2011 00:22:44 +0200

pykde4 (4:4.7.0-0ubuntu3) oneiric; urgency=low

  * No change rebuild against new PyQt (LP: #826321)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 14 Aug 2011 16:54:58 +0200

pykde4 (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Finish switch to dh_python2 (cherrypick from Debian qt-kde git)
    - Bump python-qt/-dev depends/build-depends requirements to match
      dh_python2 versions
    - Drop build-dep on python-support
  * Drop obsolete XB-Python-Version field from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 12:45:23 -0400

pykde4 (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Romain Perier <romain.perier@gmail.com>  Sat, 23 Jul 2011 09:58:56 +0200

pykde4 (4:4.6.90-0ubuntu2) oneiric; urgency=low

  * Only suggest libpython2.6 (i.e. libpython for the non-default python) so
    we don't pull python2.6 onto the CD
  * Update location for Vcs-* branch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Jul 2011 23:16:31 -0400

pykde4 (4:4.6.90-0ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * Initial release: split off from kdebindings.
  * Packages rules synced with debian.

  [ Felix Geyer ]
  * Fix lintian warning not-binnmuable-all-depends-any python-kde4-dev ->
    python-kde4.

 -- Romain Perier <romain.perier@gmail.com>  Mon, 11 Jul 2011 12:42:17 +0200

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), libqt4-opengl-dev (>= 4:4.7.0~beta2), libsoprano-dev (>= 2.3.0), python, python-all-dev, python-sip-dev (>= 4.12),
 python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~), kdepimlibs5-dev (>= 4:4.6.90),
 libpolkit-qt-1-dev, shared-desktop-ontologies, libqtwebkit-dev, libboost1.46-dev
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4

Package: python-kde4
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, 
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Provides: ${python:Provides}
Suggests: ${shlibs:Suggests}
Breaks: python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the 
 PyKDE namespace:
 .
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * solid
  * nepomuk
  * plasma
  * dnssd
 .
 And a few KDE related technologies like:
 .
  * soprano
  * phonon
  * akonadi
 .
 This package provides modules for all supported Python versions.
 .
 This is part of the KDE Bindings module.

Package: python-kde4-dev
Section: python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~),
 ${misc:Depends}
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.
 .
 This is part of the KDE Bindings module.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains documentation for PyKDE, and some example code
 showing how to use it.
 .
 This is part of the KDE Bindings module.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

## pykde4 4.7.2

=== debian/changelog ===
pykde4 (4:4.7.2-1) experimental; urgency=low

  [ Modestas Vainius ]
  * Bump python-qt4 dependencies to 4.8.3-3~ (dh_python2 based).
  * Remove a hack for python-qt4 python-support.
  * Really make python-kde4 break plasma-scriptengine-python (fix a typo).

  [ José Manuel Santamaría Lema ]
  * Require KDE SC 4.7.2.
  * Bump soprano build depend to 2.7.0.
  * Update not-installed file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:45:37 -0300

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7),kdepimlibs5-dev (>= 4:4.7),
 libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
 libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
 libboost-dev, shared-desktop-ontologies,
 python, python-all-dev, python-sip-dev (>= 4.12.0),
 python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git

Package: python-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Provides: ${python:Provides}
Suggests: ${shlibs:Suggests}
Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * nepomuk
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains API documentation for PyKDE, and some example code
 showing how to use it. You will probably want to install this package if
 you are developing applications based on PyKDE.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

## pykde4 4.7.4

=== debian/changelog ===
pykde4 (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 12:00:48 -0500

pykde4 (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 13 Oct 2011 12:29:27 +0200

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), libqt4-opengl-dev (>= 4:4.7.0~beta2), libsoprano-dev (>= 2.3.0), python, python-all-dev, python-sip-dev (>= 4.12),
 python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~), kdepimlibs5-dev (>= 4:4.6.90),
 libpolkit-qt-1-dev, shared-desktop-ontologies, libqtwebkit-dev, libboost1.46-dev
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@uninorte.edu.co>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4

Package: python-kde4
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, 
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Provides: ${python:Provides}
Suggests: ${shlibs:Suggests}
Breaks: python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the 
 PyKDE namespace:
 .
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * solid
  * nepomuk
  * plasma
  * dnssd
 .
 And a few KDE related technologies like:
 .
  * soprano
  * phonon
  * akonadi
 .
 This package provides modules for all supported Python versions.
 .
 This is part of the KDE Bindings module.

Package: python-kde4-dev
Section: python
Architecture: all
Depends: ${python:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~),
 ${misc:Depends}
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.
 .
 This is part of the KDE Bindings module.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains documentation for PyKDE, and some example code
 showing how to use it.
 .
 This is part of the KDE Bindings module.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 pyversions = $(shell pyversions -vr)
 pydefaultversion = $(shell pyversions -vd)
-pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
-    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
+pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)), \
+	usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
 
 define nl
 
@@ -27,12 +27,6 @@
 override_dh_python2:
 	$(overridden_command)
 	dh_sip -ppython-kde4
-	# Create python-support compatibility symlinks
-	set -e; for f in debian/python-kde4/usr/lib/python*/*-packages/PyQt4/uic/*.py \
-	         debian/python-kde4/usr/lib/python*/*-packages/PyQt4/uic/widget-plugins/*.py; do \
-	    d="`echo $$f | sed 's,usr/lib/\(python[^/]\+\)/dist-packages,usr/lib/pymodules/\1,'`"; \
-	    mkdir -p "`dirname "$$d"`"; ln -s $${f#debian/python-kde4} $$d; \
-	done
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=python-kde4-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]+)/src/pykde4-([\d\.]+)\.tar\.bz2

## pykde4 4.8.2

=== debian/changelog ===
pykde4 (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 21:20:19 +0200

pykde4 (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 19:20:33 +0100

pykde4 (4:4.8.0-0ubuntu2) precise; urgency=low

  * Rebuild against python-qt4 4.9-2ubuntu3. (LP: #922721)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 28 Jan 2012 12:40:46 +0100

pykde4 (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:24 +0000

pykde4 (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:59 +0000

pykde4 (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 17:33:53 +0100

pykde4 (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 19:30:20 +0000

pykde4 (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - version number in boost build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2011 22:18:54 +0000

pykde4 (4:4.7.2-0r1) UNRELEASED; urgency=low

  [ Modestas Vainius ]
  * Bump python-qt4 dependencies to 4.8.3-3~ (dh_python2 based).
  * Remove a hack for python-qt4 python-support.
  * Really make python-kde4 break plasma-scriptengine-python (fix a typo).

  [ José Manuel Santamaría Lema ]
  * Require KDE SC 4.7.2.
  * Bump soprano build depend to 2.7.0.
  * Update not-installed file.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 01:05:50 +0300

=== debian/control ===
Source: pykde4
Section: python
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1),kdepimlibs5-dev (>= 4:4.8.1),
 libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
 libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
 libboost1.46-dev, shared-desktop-ontologies,
 python, python-all-dev, python-sip-dev (>= 4.12.0),
 python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git

Package: python-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
Provides: ${python:Provides}
Suggests: ${shlibs:Suggests}
Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
Description: Python bindings for the KDE Development Platform
 This package contains PyKDE, the Python bindings for the KDE
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains at least the following modules under the
 PyKDE namespace:
 .
  * dnssd
  * kdecore
  * kdeui
  * khtml
  * kio
  * knewstuff
  * kparts
  * kterminal
  * ktexteditor
  * kutils
  * nepomuk
  * plasma
  * solid
 .
 And a few KDE related technologies like:
 .
  * akonadi
  * phonon
  * soprano
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
Breaks: python-kde4 (<< ${source:Version})
Description: UIC compiler and SIP files for PyKDE
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .ui files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE, needed to build packages
 with classes based on PyKDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and examples for PyKDE
 This package contains API documentation for PyKDE, and some example code
 showing how to use it. You will probably want to install this package if
 you are developing applications based on PyKDE.

Package: python-kde4-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
Recommends: python-qt4-dbg
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Description: debugging symbols for the PyKDE bindings
 This package contains debugging files used to investigate problems with
 Python bindings for the KDE Development Platform. Install this package if you
 are experiencing crashes of the PyKDE application and wish to report a problem
 to the developers.

## pykde4 4.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,7 @@
     ${KDE4_INCLUDE_DIR}/ksettings
     ${KDE4_INCLUDE_DIR}/knewstuff2
     ${KDE4_INCLUDE_DIR}/dnssd
+    ${KDE4_PHONON_INCLUDES}
     ${KDEPIMLIBS_INCLUDE_DIRS}
 )

=== debian/changelog ===
pykde4 (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 19:16:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.3),
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1),kdepimlibs5-dev (>= 4:4.8.1),
  libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 pyversions = $(shell pyversions -vr)
 pydefaultversion = $(shell pyversions -vd)
-pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)), \
-	usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
+pyshared_nondefault = $(foreach v,$(filter-out $(pydefaultversion),$(pyversions)),\
+    usr/lib/pyshared/python$v/PyKDE4 usr/lib/python$v/dist-packages/PyKDE4)
 
 define nl

## pykde4 4.8.4

=== debian/changelog ===
pykde4 (4:4.8.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Drop debian/patches/python32_compile_fix.diff, incorporated upstream
    - Bump build-depends version for kde-sc-dev-latest to 4:4.8.3
  * Add python-dbg and python3-dbg to python-kde4-dbg and python3-kde4-dbg
    depends
  * Update debian/not-installed for python3 (change from Kubuntu)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Jun 2012 20:28:58 -0400

pykde4 (4:4.7.4-4) unstable; urgency=low

  * Team upload
  * Use dh_sip3 for Python 3 instead of dh_sip
    - Update debian/control (sip3:Depends for python3-pykde4)
    - Add override for dh_python3 to also run dh_sip3
  * Drop unneeded Breaks/Replaces on kdebindings-dbg for python3-pykde4-dbg
  * Drop redundant build-depends on python
  * Version python-all-dev build-depends to minimum version for dh_python2
  * Drop unneeded Provides

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 May 2012 09:43:25 -0400

pykde4 (4:4.7.4-3) unstable; urgency=low

  * Team upload.
  * Add new binary python3-pykde for Python 3 support (Closes: #672553)
    - Adjust debian/rules
    - Add debian/patches/python32_compile_fix.diff to support building with
      python3.2
    - Bump build-dep version for kde4libs to 4:4.7.4-6 due to patch added in
      that revision to support building with Python 3
    - Add Python 3 equivalent packages to build-depends
    - Thanks to Colin Watson for the patch
  * Bump standards version to 3.9.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 20 May 2012 16:06:19 -0400

pykde4 (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 14:06:55 +0100

pykde4 (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Bump shared-desktop-ontologies build dependency to 0.8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:38:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: pykde4
 Section: python
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.8.3),
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1),kdepimlibs5-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.7.4-6),kdepimlibs5-dev (>= 4:4.7),
  libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
  libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
- libboost1.46-dev, shared-desktop-ontologies,
- python, python-all-dev, python-sip-dev (>= 4.12.0),
- python-qt4 (>= 4.8.3-3~), python-qt4-dev (>= 4.8.3-3~)
+ libboost-dev, shared-desktop-ontologies (>= 0.8),
+ python-all-dev (>= 2.6.6-3~), python3-all-dev,
+ python-sip-dev (>= 4.12.0), python3-sip-dev,
+ python-qt4 (>= 4.8.3-3~), python3-pyqt4, python-qt4-dev (>= 4.8.3-3~)
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
 
 Package: python-kde4
 Architecture: any
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
  python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
-Provides: ${python:Provides}
 Suggests: ${shlibs:Suggests}
 Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
 Description: Python bindings for the KDE Development Platform
@@ -82,7 +80,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version})
+Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version}), python-dbg
 Recommends: python-qt4-dbg
 Breaks: kdebindings-dbg
 Replaces: kdebindings-dbg
@@ -92,3 +90,47 @@
  are experiencing crashes of the PyKDE application and wish to report a problem
  to the developers.
 
+Package: python3-pykde4
+Architecture: any
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
+ python3-pyqt4, ${sip3:Depends}, python3-sip
+Description: Python 3 bindings for the KDE Development Platform
+ This package contains PyKDE, the Python 3 bindings for the KDE
+ libraries, that allow you to write KDE programs using Python 3 instead of
+ C++. It contains at least the following modules under the
+ PyKDE namespace:
+ .
+  * dnssd
+  * kdecore
+  * kdeui
+  * khtml
+  * kio
+  * knewstuff
+  * kparts
+  * kterminal
+  * ktexteditor
+  * kutils
+  * nepomuk
+  * plasma
+  * solid
+ .
+ And a few KDE related technologies like:
+ .
+  * akonadi
+  * phonon
+  * soprano
+ .
+ This package provides modules for all supported Python 3 versions.
+
+Package: python3-pykde4-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends}, kdelibs5-dbg, python3-pykde4 (= ${binary:Version}), python3-dbg
+Recommends: python3-pyqt4-dbg
+Description: debugging symbols for PyKDE bindings for Python 3
+ This package contains debugging files used to investigate problems with
+ Python 3 bindings for the KDE Development Platform. Install this package if
+ you are experiencing crashes of the PyKDE application and wish to report a
+ problem to the developers.
+
